%global modname nbxmpp
%global sum Python library for non-blocking use of Jabber/XMPP

Name:           python-%{modname}
Version:        0.5.3
Release:        4%{?dist}
Summary:        %{sum}
License:        GPLv3
URL:            https://python-nbxmpp.gajim.org/
Source0:        https://python-nbxmpp.gajim.org/downloads/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%global desc python-nbxmpp is a Python library that provides a way for Python applications\
to use Jabber/XMPP networks in a non-blocking way.\
\
Features:\
- Asynchronous\
- ANONYMOUS, EXTERNAL, GSSAPI, SCRAM-SHA-1, DIGEST-MD5, PLAIN, and\
    X-MESSENGER-OAUTH2 authentication mechanisms.\
- Connection via proxies\
- TLS\
- BOSH (XEP-0124)\
- Stream Management (XEP-0198)

%description
%{desc}

%package -n python2-%{modname}
Summary:        %{sum}
Requires:       pyOpenSSL
Requires:       pygobject2
Recommends:     python-kerberos
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
%{desc}

%package -n python3-%{modname}
Summary:        %{sum}
Requires:       python3-pyOpenSSL
Requires:       python3-gobject-base
# XXX: python-kerberos does not yet have a python3 build (#976301).
Recommends:     python3-kerberos
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
%{desc}

%package doc
Summary:        Developer documentation for %{name}

%description doc
%{desc}

This sub-package contains the developer documentation for python-nbxmpp.

%prep
%setup -q -n %{modname}-%{version}

%build
# let's have no executable files in doc/
find doc/ -type f -perm /111 -exec chmod -x {} +
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%files -n python2-%{modname}
%license COPYING
%doc README ChangeLog
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}-%{version}-*.egg-info

%files -n python3-%{modname}
%license COPYING
%doc README ChangeLog
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}-*.egg-info

%files doc
%license COPYING
%doc doc/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 18 2016 Michal Schmidt <mschmidt@redhat.com> - 0.5.3-3
- Build as both python2-nbxmpp and python3-nbxmpp. (#1309621)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 27 2015 Matej Cepl <mcepl@redhat.com> - 0.5.3-1
- Upstream release 0.5.3.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Michal Schmidt <mschmidt@redhat.com> - 0.5.2-1
- Upstream bugfix release 0.5.2.

* Thu Oct 16 2014 Michal Schmidt <mschmidt@redhat.com> - 0.5.1-1
- New upstream release, required by Gajim 0.16.

* Mon Aug 11 2014 Michal Schmidt <mschmidt@redhat.com> - 0.5-1
- New upstream release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Michal Schmidt <mschmidt@redhat.com> - 0.4-1
- Initial Fedora packaging.
